--TEST--
basic #46 - basic context
--DESCRIPTION--
basic context - pathed functions with context argument
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{bar.awesome frank}}';
$context = array(
        'bar' => array(
            'awesome' => function($context) { return $context; }/*function (context) { return context; }*/,
        ),
        'frank' => 'Frank',
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
Frank