--TEST--
blocks #20 - inverted sections
--DESCRIPTION--
inverted sections - block inverted sections with empty arrays
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#people}}{{name}}{{^}}{{none}}{{/people}}';
$context = array(
        'none' => 'No people',
        'people' => array(),
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
No people