--TEST--
helpers #2 - helpers
--DESCRIPTION--
helpers - helper for raw block gets raw content
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{{{raw}}}} {{test}} {{{{/raw}}}}';
$context = array(
        'test' => 'hello',
    );
$helpers = new DefaultRegistry(array(
        'raw' => function($options) { return $options->fn(); }/*function (options) {
        return options.fn();
    }*/,
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
 {{test}} 