--TEST--
partials #34 - partial blocks
--DESCRIPTION--
partial blocks - should render block from partial with context
--SKIPIF--
<?php if( true ) die('skip partial blocks are not supported by the VM'); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#> dude}}{{../context/value}}{{/dude}}';
$context = array(
        'context' => array(
            'value' => 'success',
        ),
    );
$partials = new DefaultRegistry(array(
        'dude' => '{{#with context}}{{> @partial-block }}{{/with}}',
        'shared/dude' => '{{name}}',
        'globalTest' => '{{anotherDude}}',
    ));
$options = array();
$vm = new VM();
$vm->setPartials($partials);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
success