--TEST--
partials #5 - Surrounding Whitespace
--DESCRIPTION--
Surrounding Whitespace - The greater-than operator should not alter surrounding whitespace.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '| {{>partial}} |';
$context = array();
$partials = new DefaultRegistry(array(
        'partial' => '	|	',
    ));
$options = array(
        'compat' => true,
    );
$vm = new VM();
$vm->setPartials($partials);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
| 	|	 |