--TEST--
partials #11 - Padding Whitespace
--DESCRIPTION--
Padding Whitespace - Superfluous in-tag whitespace should be ignored.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '|{{> partial }}|';
$context = array(
        'boolean' => true,
    );
$partials = new DefaultRegistry(array(
        'partial' => '[]',
    ));
$options = array(
        'compat' => true,
    );
$vm = new VM();
$vm->setPartials($partials);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
|[]|